Instalação novosga com banco de dados mysql Ubuntu 12.04 server/Debian7

martinhomartinho Entry Level
edited April 2014 in Tutorial
Instalação novosga com banco de dados mysql Ubuntu 12.04 server/Debian7


Instalando pacotes.

$ sudo apt-get install apach2 php5 mysql-server php5-mysql curl php5-mcrypt

$ curl -sS https://getcomposer.org/installer | php

$ php composer.phar create-project novosga/novosga novosga "1.*"

$ sudo mv novosga /var/www

$ sudo chown www-data:www-data /var/www/novosga
Criando banco de dados (com acesso remoto)

$ mysql -u root -p

> create database novosga;

> CREATE USER 'novosga'@'%' IDENTIFIED BY '123456';

>GRANT ALL PRIVILEGES on novosga.* TO 'novosga'@'%' IDENTIFIED BY '123456';
>exit
Liberando acesso mysql

$ sudo nano /etc/mysql/my.cnf
Alterar a linha "bind-address= 127.0.0.1, para "bind-address= 0.0.0.0

$ sudo /etc/init.d/mysql restart
Alterando servidor apache

$ sudo nano /etc/apache2/sites-available/default
Alterar AllowOverride None para AllowOverride all

$ sudo a2enmod rewrite
$ sudo invoke-rc.d apache2 restart
Acessando novosga
Tagged:

Comments

  • falta uma letra na 1a linha, segue correção:
    $ sudo apt-get install apache2 php5 mysql-server php5-mysql curl php5-mcryp
  • Ola, consegui instalar com sucesso porém estou com duvida no seguinte, criei os serviços porém quando vou em triagem não aparece os serviços cadastrados e ativos, algum procedimento ?
  • esdras_laroqueesdras_laroque Entry Level
    edited May 2014
    Você atribuiu os serviços criados ao perfil do usuário que está tentando realizar a triagem ?
  • leonardoleonardo Entry Level
    Você ativou os serviços no menu "Configuração"?
  • Havia faltado apenas ativas os serviços em Unidades > Configurações, já está ok. Continua com problema no modulo Triagem Touch, quando seleciono opção me retorna permission denied.
  • Favor me ajude, acabei de instalar, mais esta apresentando essa msg, não sei como instalar.

    Novo SGA

    Por favor execute composer.phar install primeiro.

    Please run composer.phar install fisrt.
  • martinhomartinho Entry Level
    cavanso instale versão 1.1.3 e atualize para 1.1.4 para resolver permission denied painel touch
  • martinhomartinho Entry Level
    Atualização Para Ubuntu 14.04 server

    Instalação novosga com banco de dados mysql Ubuntu 14.04 server


    Instalando pacotes.


    $ sudo apt-get install apache2 php5 mysql-server php5-mysql curl php5-mcrypt

    $ curl -sS https://getcomposer.org/installer | php

    $ php composer.phar create-project novosga/novosga novosga "1.*"

    $ sudo mv novosga /var/www/html

    $ sudo chown www-data:www-data /var/www/html/novosga/

    Criando banco de dados (com acesso remoto)


    $ mysql -u root -p

    > create database novosga;

    > CREATE USER 'novosga'@'%' IDENTIFIED BY '123456';

    >GRANT ALL PRIVILEGES on novosga.* TO 'novosga'@'%' IDENTIFIED BY '123456';
    >exit

    Liberando acesso mysql


    $ sudo nano /etc/mysql/my.cnf

    Alterar a linha "bind-address= 127.0.0.1, para "bind-address= 0.0.0.0


    $ sudo /etc/init.d/mysql restart

    Alterando servidor apache


    $ sudo nano /etc/apache2/sites-available/000-default.conf

    inserir no final do arquivo: (retirando as ")

    "<"Directory /var/www/html/">"
    Require all granted
    AllowOverride All
    "<"/Directory">"

    salvar e sair.

    Ajustes

    $ sudo php5enmod mcrypt
    $ sudo a2enmod rewrite
    $ sudo invoke-rc.d apache2 restart

    Acessando novosga


    http://nome_ou_ip_do_servidor/novosga/public
  • moguimogui Entry Level
    Consegui seguir estes passos todos no 14.04, instalei a partir de um mini e cheguei até ao fim sem erros. Quando vou abrir a página:

    http://nome_ou_ip_do_servidor/novosga/public

    abre:

    http://nome_ou_ip_do_servidor/novosga/public/install

    e não aparece nada. Alguma dica?
  • Habilite os erros do PHP ou veja o log do servidor. Mas provavelmente é falta de permissão em algum diretório (config e/ou cache).
  • hjushjus Entry Level
    saludos desde puerto rico yo tambien tiengo el mismo problema de mogui
  • Bom dia ... pra quem tem a duvida e so arrumar o seguinte

    depois de todos os passos seguidos voce deve liberar o acesso na seguinte pasta

    chmod 777 /var/www/html/novosga1.5.0/var/

    apos vai ver que dara certo seguindo disso voce libera tambem acesso a pasta

    chmod 777 /var/www/html/novosga1.5.0/config/

    vera que funcionará abracos.
  • hjushjus Entry Level
    danmartinsiss
    !!!muchas Gracias!!!
  • hjushjus Entry Level
    saludos, es posible configurar el novosga en idioma espanol?
    gracias...
  • naudinaudi Entry Level
    Instalar NOVOSGA

    1º Instalar o Ubuntu 14.04 Server ou Superior.
    Ativar o Super Usuário: sudo passwd root
    Cuidado! : O Linux diferencia maiúsculas de minúsculas.

    Após instalação acima, iniciar a instalação do novosga.

    2º Comando: Criar o postgresql e apache
    sudo apt-get install postgresql libapache2-mod-php5 php5-pgsql curl php5-mcrypt

    3º Comando: Instalando o composer
    Curl –sS https://getcomposer.org/installer | php
    |  grep commando gerado com as teclas shift+\

    4º Comando: Movendo o composer
    Mv composer.phar /usr/local/Bin/composer

    5º Comando: Criando o projeto novosga
    Composer create-project novosga/novosga novosga “1.5.1”

    6º Comando: Dar permissão a pasta novosga
    sudo chown www-data:www-data –R /var/www/novosga

    7º Comando: Reescrevendo o a2enmod e reestartar o apache2
    a- sudo a2enmod rewrite
    b- service apache2 restart

    8º Comando: Mover o novosga para a pasta “HTML”
    mv novosga /var/www/html/ novosga
    Caso não conseguir pesquisar como mover pasta no Linux.
    Editar o arquivo abaixo, e inserir os dados a seguir.
    vim = editor de texto
    vim /etc/apache2/sites-avaliable/000-default.conf

    require all granted
    AllowOverride all

    9º Comando: Instalando o Painel
    wget HTTPS://github.com/novosga/painel-web/archive/master.zip
    9.1 Descompactar o master.zip
    Se não tiver unzip, instalar através do comando: apt-get install unzip

    10º Comando: Mover o painel-web-master para a pasta novosga
    mv painel-web-master/ novosga

    11º Comando: Trocar(renomear) o aqruivo painel-web-master
    mv painel-web-master/ painel

    12º Comando: Dar permissão a pasta novosga
    sudo chown www-data:www-data –R /var/www/novosga

    13º Comando: Reescrever o arquivo
    sudo a2enmod rewrite

    14º Comando: Restartar o apache2
    /etc/init.d/apache2 restart

    15º Comando: Acessar via web (browser) o Novosga
    Ip_onde_foi_instalado/novosga/public

    16º Comando: Marcar o banco que foi criado, no nosso caso foi o postgresql, clicar em próximo, marcar a caixa de termo de licença e clicar próximo.

    17º Comando: Preencher os dados solicitados
    Host : localhost
    Porta: 5432
    Usuário: procon
    Senha: @P2!
    Data base: novosga
    Charset: UTF8

    18º Comando: Se der erro de permissão, fazer o seguinte:
    su - postgresql
    createuser –D –R –S –P procon
    createdb –O procon novosga
  • naudinaudi Entry Level
    Onde tiver procon colocar o nome da empresa ou firma
  • ventofrioventofrio Entry Level
    edited December 2015
    Estou com o mesmo problema do mogui porém com a versao 1.5.1

    usei a versão ubuntu 14.04, Apache 2.4.7, . PHP Version 5.5.9-1ubuntu4.6

    Quando vou abrir a página:

    http://nome_ou_ip_do_servidor/novosga/public

    abre:

    http://nome_ou_ip_do_servidor/novosga/public/install

    dá mensagem: The requested URL /novosga/public/install was not found on this server.

    Alguém pode ajudar?
  • ventofrioventofrio Entry Level
    edited December 2015
    Pessoal resolvi com chown www-data:www-data /var/www/novosga -R

    Vlw
  • mac_sousamac_sousa Entry Level
    Segue tutorial atualizado!


    Instalação novoSGA com banco de dados Mysql no Debian 8.5




    Presume-se que você já tenha o Debian instalado.



    Instalando pacotes.
    # apt-get install apache2 php5 mysql-server php5-mysql curl php5-mcrypt

    Instalando o composer
    # curl -sS https://getcomposer.org/installer | php

    Criando o projeto novosga dentro de /var/www/html/
    # php composer.phar create-project novosga/novosga /var/www/html/novosga "1.*"

    Dar permissão a pasta novosga
    # chown -R www-data:www-data /var/www/html/novosga/

    Alterando servidor apache
    # nano /etc/apache2/sites-available/000-default.conf
    inserir no final do arquivo:


    Require all granted
    AllowOverride All


    salvar e sair.

    Ajustes:

    # php5enmod mcrypt
    # a2enmod rewrite
    # invoke-rc.d apache2 restart


    Feito isso você já consegue acessar a página do Novo SGA para prosseguir com a configuração!


    Acessando novosga
    http://nome_ou_ip_do_servidor/novosga/public

    Será redirecionado para:
    http://nome_ou_ip_do_servidor/novosga/public/install


    A partir daí é só selecionar o banco de dados e ir avançando colocando as informações que se pede!

    Caso ainda não tenha nenhum banco de dados criado, siga os passos abaixo:


    Criando Banco de Dados MySQL (com acesso remoto)

    # mysql -u root -p
    > create database novosga;
    > create user 'novosga'@'%' identified by '123456';
    > grant all privileges on novosga.* to 'novosga'@'%' identified by '123456';
    > exit

    Liberando acesso mysql
    # nano /etc/mysql/my.cnf
    Alterar a linha "bind-address= 127.0.0.1, para "bind-address= 0.0.0.0

    # /etc/init.d/mysql restart




    Instalando o Painel

    # cd /var/www/html
    # wget https://github.com/novosga/painel-web/archive/master.zip

    Descompactar o master.zip
    # unzip master.zip

    Renomear o arquivo painel-web-master
    # mv painel-web-master/ painel-web

    Acessar Painel Web

    http://nome_ou_ip_do_servidor/painel-web


  • ronaldo_rxronaldo_rx Entry Level
    edited December 2016
    @martinho Executei seu Tutorial, porém sempre pega a versão 1.3.3 do novosga. Como posso pegar a versão 1.5.1 seguindo o mesmo tutorial ou ajustando este que segui?

  • ronaldo_rxronaldo_rx Entry Level
    @martinho Resolvido! A versão do ubuntu 12.04 não adiciona pacotes atualizados. A versão 14.04 traz a versão mais nova, porém o contador de versão continua como 1.5.0., problema já relatado em outros posts.
  • skcostaskcosta Entry Level
    Quando vou criar o projeto pelo composer esta dando este erro: [UnexpectedValueException]
    Could not parse version constraint “1.5.0”: Invalid ver
    sion string "“1.5.1”"

    alguém pode me ajudar?
  • netdadosnetdados Big Time
    verifique a sintaxe ou use dessa forma.
    $ php composer.phar create-project novosga/novosga novosga "1.*"
Sign In or Register to comment.